Core - Bug # 40161

Task # 40095 (Resolved): Move core to namespaces

Status: Rejected Priority: Should have
Author: Christian Kuhn Category:

Created: 2012-08-25 Assigned To:

Updated: 2012-10-19 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subiject: Add Tx_Scheduler_AdditionalFieldProvider to mapping

Description

History

#1 - 2012-08-25 09:11 - Christian Kuhn

Using the old interface must still work!

#2 - 2012-08-25 11:37 - Steffen Gebert

- Status changed from New to Accepted

#3 - 2012-08-26 11:44 - Christian Kuhn

it is in the mapping, but there seems still to be a problem, it seems to work on non case sensitive filesystems, but doesn't on case sensitive systems.
example extension to reproduce is enetcache: just install and then try to add a task.

Fatal error: Declaration of tx_enetcache_task_DropTags_AdditionalFieldProvider::getAdditionalFields() must be compatible with that of

TYPO3\CMS\Scheduler\AdditionalFieldProviderInterface::getAdditionalFields() in ....

#4 - 2012-08-31 23:57 - Nicole Cordes

| got this one as well and Thomas and | discovered it is related to an outdated PHP version ( < 5.3.8).

We have to develop some workaround for lower versions which we have to support as well (current official Debian version is 5.3.3)

#5 - 2012-10-19 17:30 - Christian Kuhn

- Status changed from Accepted to Rejected
- % Done changed from 0 to 100

Not valid anymore, solved with a compat layer for low 5.3 php versions.
